/*
 Theme Name:   Mariages et Ceremonies Theme
 Theme URI:    https://bricksbuilder.io/
 Description:  Use this child theme to extend Bricks.
 Author:       Bricks
 Author URI:   https://bricksbuilder.io/
 Template:     bricks
 Version:      1.1
 Text Domain:  bricks
*/


/* ================================================== 
COMPLIANZ
================================================== */
#cmplz-cookiebanner-container {
    z-index: 1000;
}

#cmplz-cookiebanner-container .cmplz-cookiebanner {
overflow: visible;
}

#cmplz-cookiebanner-container .cmplz-cookiebanner::before {
    content: '';
    position: absolute;
    background: #fff;
    width: 100%;
    height: 100%;
    z-index: 1;
    top: 0;
    left: 0;
    border-radius: 5px;
}

#cmplz-cookiebanner-container .cmplz-cookiebanner::after {
    content: '';
    position: fixed;
    top: 50%;
    left: 50%;
    width: 100vw;
    height: 100vh;
    margin-top: -50vh;
    margin-left: -50vw;
    z-index: -1;
    background: rgba(0, 0, 0, 0.5);
    overflow: hidden;
}

#cmplz-cookiebanner-container .cmplz-cookiebanner>* {
    z-index: 2;
}

#cmplz-manage-consent .cmplz-manage-consent {
    right: auto !important;
    left: 40px;
}

#cmplz-document {
    max-width: 100% !important;
}

#cmplz-document ul {
    margin: 0;
    padding-left: 15px;
}

#cmplz-cookiebanner-container .cmplz-message {
    text-align: center;
}

#cmplz-cookiebanner-container {
    position: fixed;
}

#cmplz-cookiebanner-container .cmplz-title {
    font-size: var(--fontsize-h7);
    font-weight: 700;
    color: var(--dark);
    text-transform: uppercase;
    font-family: var(--typo-titres);
    text-align: center;
}

#cmplz-cookiebanner-container .cmplz-btn {
    font-weight: 500;
    font-size: 14px;
    border-radius: var(--radius-xs);
    font-family: var(--typo-titres);
    text-transform: uppercase;
    letter-spacing: var(--spacing-middle);
}

.cmplz-cookiebanner {
    max-width: 600px !important;
}

#cmplz-cookiebanner-container .cmplz-categories,
#cmplz-cookiebanner-container .cmplz-message {
    width: 100%;
}


#wrapper #cmplz-document .cmplz-service-header h3 {
    color: var(--main-color);
}

/* Ajout style btn Refus */

#cmplz-cookiebanner-container .cmplz-cookiebanner .cmplz-deny {
    position: absolute;
    top: -26px;
    right: 0;
    padding: 0;
    height: auto;
    background: transparent;
    border: none;
    color: #ccc;
    display: inline-block;
    width: auto;
    font-weight: 400;
    letter-spacing: 0.02em;
    /* text-transform: none; */
    font-size: 15px;
    padding-right: 15px;
    min-height: auto;
}

#cmplz-cookiebanner-container .cmplz-deny::after {
    content: "";
    width: 8px;
    height: 8px;
    display: inline-block;
    border-top: 1px solid white;
    border-right: 1px solid white;
    position: relative;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
    margin-left: 5px;
    top: 1px;
}
